Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class InnerClassNode

Represents an inner class declaration

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`ClassNode` | `outerClass`

Constructor Summary
`InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass)`
`InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass, def interfaces, def mixins)`

Method Summary
`ClassNode` | `getOuterClass()`
`FieldNode` | `getOuterField(String name)`

Constructor Detail

### InnerClassNode

    public InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superClass the base class name - use "java.lang.Object" if no direct base class

### InnerClassNode

    public InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass, def interfaces, def mixins)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superClass the base class name - use "java.lang.Object" if no direct base class

Method Detail

### getOuterClass

    public ClassNode getOuterClass()

### getOuterField

    public FieldNode getOuterField(String name)

  return:
    the field node on the outer class or null if this is not an inner class